HEADERS += \
    matma.h \
    window.h \
    glfunctions.h \
    vertices.h \
    indexmodel.h \
    baseprogram.h \
    cameraprogram.h \
    modelprogram.h \
    movablemodel.h \
    plane.h \
    texture.h \
    texturecameraprogram.h \
    torus.h \
    texturemodel.h

SOURCES += \
    main.cpp \
    matma.cpp \
    window.cpp \
    indexmodel.cpp \
    baseprogram.cpp \
    cameraprogram.cpp \
    modelprogram.cpp \
    plane.cpp \
    texture.cpp \
    texturecameraprogram.cpp \
    torus.cpp

OTHER_FILES +=

    
win32{
    copydata.commands = $(COPY_DIR) "$$shell_path("$$PWD/data")" "$$shell_path("$$OUT_PWD")"
}

unix{
    copydata.commands = $(COPY_DIR) $$PWD/data/* $$OUT_PWD
    CONFIG   += c++11
}

first.depends = $(first) copydata
export(first.depends)
export(copydata.commands)
QMAKE_EXTRA_TARGETS += first copydata

DISTFILES += \
    data/TextureShader.fragment.glsl \
    data/TextureShader.vertex.glsl \
    data/ice.tga \
    data/texture.tga
